LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.UI.ContentClientUI

Description

General content types and operations.

Synopsis

- data CCUI = CCUI {
  - coinput :: InputContent
  - coscreen :: ScreenContent
  }
- emptyCCUI :: CCUI

# Documentation

data CCUI Source #

Operations for all UI content types, gathered together.

Constructors

CCUI |

Fields

- coinput :: InputContent
- coscreen :: ScreenContent

emptyCCUI :: CCUI Source #